## renson-endura-delta 1.7.1

=== debian/changelog ===
renson-endura-delta (1.7.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 22 Sep 2024 13:22:45 +0100

renson-endura-delta (1.7.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1079605)

 -- Edward Betts <edward@4angle.com>  Sun, 25 Aug 2024 08:26:50 +0100

## renson-endura-delta 1.7.2

=== requirements.txt ===
pytest==7.1.2
pytest-runner==5.3.1
requests==2.26.0
requests-mock==1.9.3

=== debian/changelog ===
renson-endura-delta (1.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 07 Dec 2024 19:54:21 +0000

=== debian/control ===
Source: renson-endura-delta
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
 python3-requests-mock <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/jimmyd-be/Renson-endura-delta-library
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/renson-endura-delta
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/renson-endura-delta.git

Package: python3-renson-endura-delta
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to interact with Renson Endura Delta units
 This library provides a interface for communicating with Renson Endura Delta
 ventilation units over Wi-Fi. It allows for retrieving data from various
 sensors and controlling different features of the ventilation system.  Users
 can manually override the auto mode, set timers, sync the current time, enable
 the breeze function, and configure day and night settings.  Additionally,
 pollution control settings such as humidity, air quality, and CO2 levels can
 be managed. The library also supports establishing filter clean times and
 comparing the installed firmware version with the online version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=renson-endura-delta
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf renson_endura_delta.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-pytest,
 python3-requests-mock,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/renson-endura-delta-$1\.tar\.gz/ \
  https://github.com/jimmyd-be/Renson-endura-delta-library/tags .*/v?(\d\S+)\.tar\.gz
